RegExpPatterns
Date: 2014-06-04

org.gcube.vremanagement.resourcebroker.utils.assertions.regexps

## Class RegExpPatterns

- java.lang.Object
- - org.gcube.vremanagement.resourcebroker.utils.assertions.regexps.RegExpPatterns

-     public class RegExpPatterns
      extends java.lang.Object

  A set of generic patterns based on regular expressions. Usually used for Assertions on the parameters.

       Example:

              // Checks if the id is compliant to the ClassName
              // regular expression
              Assertion.paramCheck.validate(
                      id.trim().matches(RegExpPatterns.REClassName),
                      new ParamException ("invalid format " + id));

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ObjectName` The object (variable) names are assumed to start with a character followed by any alpha-numeric symbol.
    `static java.lang.String` | `REClassName` Regular expression for class names in the form:
    `static java.lang.String` | `REFileName` Convention on the file names.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegExpPatterns()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ObjectName

          public static final java.lang.String ObjectName

      The object (variable) names are assumed to start with a character followed by any alpha-numeric symbol.
      See Also:
        Constant Field Values

    - #### REClassName

          public static final java.lang.String REClassName

      Regular expression for class names in the form:

                  package.subpackage.ClassName

      See Also:
        Constant Field Values

    - #### REFileName

          public static final java.lang.String REFileName

      Convention on the file names. Here assumed to use "/" as path separator. Valid names are:

                  folder/subfolder/file.ext

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegExpPatterns

          public RegExpPatterns()